Edit

Git - List Workspace Relations

Returns a list of workspace relations for the specified workspace.

Note

This API is part of a Preview release and is provided for evaluation and development purposes only. It may change based on feedback and is not recommended for production use.

This API supports pagination.

Permissions

The caller must have a viewer or higher workspace role.

Required Delegated Scopes

Workspace.Read.All or Workspace.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/git/workspaceRelations
GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/git/workspaceRelations?continuationToken={continuationToken}

URI Parameters

Name In Required Type Description
workspaceId
path True

string (uuid)

The workspace ID.

continuationToken
query

string

A token for retrieving the next page of results.

Responses

Name Type Description
200 OK

WorkspaceRelations

Request completed successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • InsufficientPrivileges - The caller does not have sufficient workspace permissions.

  • WorkspaceNotFound - The specified workspace was not found.

Examples

List workspace relations example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/66666666-6666-6666-6666-666666666666/git/workspaceRelations

Sample response

{
  "value": [
    {
      "id": "ffffffff-ffff-ffff-ffff-ffffffffffff",
      "workspaceId": "66666666-6666-6666-6666-666666666666",
      "relatedWorkspaceId": "88888888-8888-8888-8888-888888888888",
      "relationType": "Base"
    },
    {
      "id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa",
      "workspaceId": "66666666-6666-6666-6666-666666666666",
      "relatedWorkspaceId": "22222222-2222-2222-2222-222222222222",
      "relationType": "RelatedWorkspace"
    },
    {
      "id": "cccccccc-cccc-cccc-cccc-cccccccccccc",
      "workspaceId": "66666666-6666-6666-6666-666666666666",
      "relatedWorkspaceId": "44444444-4444-4444-4444-444444444444",
      "relationType": "RelatedWorkspace"
    }
  ]
}

Definitions

Name Description
ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

WorkspaceRelation

A workspace relation object.

WorkspaceRelations

A list of workspace relations.

WorkspaceRelationType

The type of the related workspace in the relation. Additional related workspace types may be added over time.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

WorkspaceRelation

A workspace relation object.

Name Type Description
id

string (uuid)

The workspace relation ID.

relatedWorkspaceId

string (uuid)

The related workspace ID.

relationType

WorkspaceRelationType

The type of the related workspace in the relation.

workspaceId

string (uuid)

The workspace ID.

WorkspaceRelations

A list of workspace relations.

Name Type Description
continuationToken

string

The token for the next result set batch. If there are no more records, it's removed from the response.

continuationUri

string

The URI of the next result set batch. If there are no more records, it's removed from the response.

value

WorkspaceRelation[]

A list of workspace relations.

WorkspaceRelationType

The type of the related workspace in the relation. Additional related workspace types may be added over time.

Value Description
Base

The related workspace is the base (source) workspace.

Branch

The related workspace is a branch workspace.

RelatedWorkspace

The related workspace has a general relation.